<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <p class="lenguajes">
        Cuales de los siguientes leguajes son orientados a objetos: <span>Java</span>, Vb6, <span>C++</span>, C, <span>C#</span>, Cobol ?
    </p>
        <input type="button" class="boton1" value="ver resultado">
    <p class="provincias">
        Cuales de las siguientes provincias tienen salida al mar: <span>Asturias</span>, Toledo, <span>Murcia</span>, Lérida, <span>Almeria</span>, Sevilla ?
    </p>
    <input type="button" class="boton2" value="ver resultado">

    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script>
        $(document).ready(function(){
            $('.boton1').click(
                function(){
                    $('.lenguajes span').css('background-color', "yellow")
                }
            )
        })
        $(document).ready(function(){
            $('.boton2').click(
                function(){
                    $('.provincias span').css('background-color', "yellow")
                }
            )
        })
    </script>
</body>
</html>